/*
 * systick_.h
 *
 *  Created on: 26-10-2012
 *      Author: Arek
 */

#include "systick.h"

__IO uint32_t SysTick_cnt;


u32 getSysTick(void)
{
    return SysTick_cnt;
}

void delay_ms(u16 Nms)
{    
    u32 sysTicks = SysTick_cnt + Nms;
    while(SysTick_cnt < sysTicks);
}

void SysTick_Init(void)
{
	RCC_ClocksTypeDef RCC_Clocks;

    SysTick_cnt = 0;
    RCC_GetClocksFreq(&RCC_Clocks);
    SysTick_Config(RCC_Clocks.HCLK_Frequency / 1000);
}

